const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const medication_side_effects = sequelize.define(
    'medication_side_effects',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

occurred_at: {
        type: DataTypes.DATE,
      
      

      },

side_effect_name: {
        type: DataTypes.TEXT,
      
      

      },

severity: {
        type: DataTypes.INTEGER,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  medication_side_effects.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.medication_side_effects.belongsTo(db.medications, {
      as: 'medication',
      foreignKey: {
        name: 'medicationId',
      },
      constraints: false,
    });




    db.medication_side_effects.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.medication_side_effects.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return medication_side_effects;
};


